summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Beierlein <tomjbe@gentoo.org>2020-01-21 19:17:19 +0100
committerThomas Beierlein <tomjbe@gentoo.org>2020-01-21 19:17:19 +0100
commita9dc0d822520ed9b8afd79068875ebf864881889 (patch)
treeec247e97c4ca3e5ac502f726b5aaa6933d5a504f
parentmedia-radio/tucnak: Version bump (diff)
downloadgentoo-a9dc0d822520ed9b8afd79068875ebf864881889.tar.gz
gentoo-a9dc0d822520ed9b8afd79068875ebf864881889.tar.bz2
gentoo-a9dc0d822520ed9b8afd79068875ebf864881889.zip
dev-libs/libzia: Version bump
Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Thomas Beierlein <tomjbe@gentoo.org>
-rw-r--r--dev-libs/libzia/Manifest1
-rw-r--r--dev-libs/libzia/libzia-4.19.ebuild38
2 files changed, 39 insertions, 0 deletions
diff --git a/dev-libs/libzia/Manifest b/dev-libs/libzia/Manifest
index d840ef34356..c74cbc96819 100644
--- a/dev-libs/libzia/Manifest
+++ b/dev-libs/libzia/Manifest
@@ -1 +1,2 @@
DIST libzia-4.18.tar.gz 623928 BLAKE2B ff7f4873f77c1782bc704ff11f0fcdc2a479404cf0719d9156fad2ad01634241f7f556699d778fbd6e3f4bfe108b1735c65def859d56cefcedd6a3c760200a14 SHA512 7d4287cf6804ae757d6c96c03fd948db1bf0b5463d345929b2c8dd4540e66b45849a8096500576199fa650b63b892ea17c976338b88e9310d64f804fa3920489
+DIST libzia-4.19.tar.gz 623995 BLAKE2B 55bc17854614af92873059e741179d9bc4f35000c4fc29cdd56854b85cf059d422ec49cee9d07056cf8fd18f7a6bf15aeb98a3f3dcbee44420ca1862175d3938 SHA512 65b7cb87740a3288c186f30a10d29824f2b725e54290d4c56ebfd9aa6902ff2e1e48725ed35e3ff5c2d144ccd6a20384df470c1b615c99da8a14c7e0647b0f6a
diff --git a/dev-libs/libzia/libzia-4.19.ebuild b/dev-libs/libzia/libzia-4.19.ebuild
new file mode 100644
index 00000000000..63b54d9c6b8
--- /dev/null
+++ b/dev-libs/libzia/libzia-4.19.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools
+
+DESCRIPTION="platform abstraction code for tucnak package"
+HOMEPAGE="http://tucnak.nagano.cz"
+SRC_URI="http://tucnak.nagano.cz/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="ftdi"
+
+RDEPEND="dev-libs/glib:2
+ x11-libs/gtk+:2
+ media-libs/libsdl
+ media-libs/libpng:0
+ ftdi? ( dev-embedded/libftdi:0 )"
+
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+MAKEOPTS+=" -j1"
+
+src_prepare() {
+ eapply_user
+ sed -i -e "s/docsdir/#docsdir/g" \
+ -e "s/docs_/#docs_/g" Makefile.am || die
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ $(use_with ftdi) --with-sdl \
+ --with-png --without-bfd
+}